Load a card with the requested amount and deduct the amount off the profile.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | The profile to which the card belongs, funds will be deducted from this profile. |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, tracking number or sequence number of the card to load |
| requestAmount | String | ✓ | The requested amount to be loaded on the card and deducted from the profile, in cents | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>LoadCardDeductProfile</methodName>
<params>
<param>
<value>
<string>ABC1234567</string>
</value>
</param>
<param>
<value>
<string>12345</string>
</value>
</param>
<param>
<value>
<string>987654321</string>
</value>
</param>
<param>
<value>
<string>5000</string>
</value>
</param>
<param>
<value>
<string>ABCDE12345</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>2023-11-08T12:34:56</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>3b4c4444e1c4444d8e444a4c0c2c2d444e4d4444</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of incoming value |
| profileNumber | String | Echo of incoming value |
| cardNumber | String | Echo of incoming value |
| requestAmount | Integer | Echo of incoming value |
| clientTransactionID | String | Echo of incoming value |
| serverTransactionID | Date | Transaction ID generated by Paymentology |
| balanceAmount | Integer | Balance amount in cents |
| authNumber | String | Authorisation number for transaction |
| expiryDate | String | The expiry date of the card |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>terminalID</name>
<value>
<string>ABC1234567</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>12345</string>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>987654321</string>
</value>
</member>
<member>
<name>requestAmount</name>
<value>
<int>5000</int>
</value>
</member>
<member>
<name>clientTransactionID</name>
<value>
<string>ABCDE12345</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>2023-11-08T12:34:56Z</string>
</value>
</member>
<member>
<name>balanceAmount</name>
<value>
<int>45000</int>
</value>
</member>
<member>
<name>authNumber</name>
<value>
<string>123456</string>
</value>
</member>
<member>
<name>expiryDate</name>
<value>
<string>2023-12-31</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>0</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Transaction successful</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>